%define upstream_name GitPython

Name:		python-gitpython
Version:	3.1.30
Release:	%mkrel 1
Summary:	Python Git library
License:	BSD
Group:		Development/Python
Url:		http://pypi.python.org/pypi/GitPython/
Source0:	https://pypi.io/packages/source/G/GitPython/GitPython-%{version}.tar.gz
BuildArch:	noarch

%description
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath

%package -n python3-gitpython
Group:		Development/Python
Summary:	Python 3 Git Library
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-gitpython}

%description -n python3-gitpython
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath


%prep
%setup -q -n %{upstream_name}-%{version}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-gitpython
%license LICENSE
%doc CHANGES AUTHORS
%{python3_sitelib}/GitPython-%{version}-py?.?.egg-info
%{python3_sitelib}/git/


%changelog
* Wed Jan 04 2023 papoteur <papoteur> 3.1.30-1.mga8
+ Revision: 1929899
- new 3.1.30 (mga#31242)

* Sat Jun 13 2020 guillomovitch <guillomovitch> 3.1.3-1.mga8
+ Revision: 1593129
- new version 3.1.3
- fix dependencies

* Sat May 02 2020 guillomovitch <guillomovitch> 3.1.1-1.mga8
+ Revision: 1577913
- new version 3.1.1

* Sun Feb 16 2020 umeabot <umeabot> 2.1.11-4.mga8
+ Revision: 1535582
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 2.1.11-3.mga8
+ Revision: 1452434
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.1.11-2.mga7
+ Revision: 1353182
- Rebuild for python3 3.7

* Thu Dec 06 2018 kekepower <kekepower> 2.1.11-1.mga7
+ Revision: 1338697
- Update to version 2.1.11

* Thu Sep 20 2018 umeabot <umeabot> 2.1.9-3.mga7
+ Revision: 1288924
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 2.1.9-2.mga7
+ Revision: 1222299
- Fix Requires python3dist(gitdb2)

* Sun Mar 25 2018 kekepower <kekepower> 2.1.9-1.mga7
+ Revision: 1212438
- Update to version 2.1.9
- Renamed python-gitpython to python2-gitpython
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.0.2-2.mga7
+ Revision: 1135437
- Rebuild for python 3.6

* Wed May 25 2016 philippem <philippem> 1.0.2-1.mga6
+ Revision: 1018446
- update to 1.0.2 (bugfix release, and hope it will remove old 0.3.1-10.mga6 from repos)

* Thu May 12 2016 philippem <philippem> 1.0.1-1.mga6
+ Revision: 1014389
- update to 1.0.1, add Python 3

* Sat Feb 06 2016 umeabot <umeabot> 0.3.1-10.mga6
+ Revision: 940437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 750493
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 728559
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 688053
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 543588
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 498689
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 378907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.3.1-2.mga2
+ Revision: 126539
- imported package python-gitpython


* Mon Jun 27 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 687387
- this is a noarch package

* Sun Jun 26 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1
+ Revision: 687320
- new version

* Sat Jun 25 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.7-1
+ Revision: 687123
- import python-gitpython

